Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.filesystems 6.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.filesystems
Class EnvironmentNotSupportedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.openide.filesystems.EnvironmentNotSupportedException

All Implemented Interfaces:
  Serializable

Deprecated. Please use the ClassPath API instead.

    public class EnvironmentNotSupportedException

extends IOException

Exception thrown to signal that external execution and compilation is not supported on a given filesystem.

See Also:
  Serialized Form

Constructor Summary
`EnvironmentNotSupportedException(FileSystem fs)` Deprecated.
`EnvironmentNotSupportedException(FileSystem fs, String reason)` Deprecated.

Method Summary
`FileSystem` | `getFileSystem()` Deprecated. Getter for the filesystem that does not support environment operations.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EnvironmentNotSupportedException

    public EnvironmentNotSupportedException(FileSystem fs)

  Deprecated.
  Parameters:
    `fs` - filesystem that caused the error

### EnvironmentNotSupportedException

    public EnvironmentNotSupportedException(FileSystem fs,
                                            String reason)

  Deprecated.
  Parameters:
    `fs` - filesystem that caused the error
    `reason` - text description for the error

Method Detail

### getFileSystem

    public FileSystem getFileSystem()

  Deprecated.
  Getter for the filesystem that does not support environment operations.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.filesystems 6.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.